MEGALS(1)

NAME
megals - List files stored in the cloud

SYNOPSIS

megals [-e] [-h] [--header] [-l] [-R] [-n] [<remotepaths>...]

DESCRIPTION

Lists files stored on Mega.nz, exports public download links.

OPTIONS

--export, -e
    For all files that are going to be listed, also display public download link with file key.

    NOTE: Folders export doesn’t work yet.

--human, -h
    Display file sizes in a human readable format.

--header
    For long list format, display header describing all listed columns.

--long, -l
    List additional information about listed filesystem nodes. Node handle, owner, node type, file size, and the last modification date.

--recursive, -R
    List directories recursively. This is the default if no paths are specified.

--names, -n
    Show only names of nodes within the directory. This option has effect only if you specified a single path on a command line.

-u <email>, --username <email>
    Account username (email)

-p <password>, --password <password>
    Account password

--no-ask-password
    Never ask interactively for a password

--reload
    Reload filesystem cache

--speed-limit <speed>
    Set maximum allowed upload and download speed in KiB/s. This option overrides config file settings. 0 means no limit.

--proxy <proxy>
    Use proxy server to connect to mega.nz. This option overrides config file settings. More information can be found in libcurl documentation at https://curl.haxx.se/libcurl/c/CURLOPT_PROXY.html. Some acceptable values are:

        • none : Disable proxy if it was enabled in the config file.

        • socks5://localhost:9050 : Local SOCKSv5 proxy server

        • socks5h://localhost:9050 : Local SOCKSv5 proxy server with DNS handled by the proxy

--config <path>
    Load configuration from a file

--ignore-config-file
    Disable loading .megarc

--debug [<options>]
    Enable debugging of various aspects of the megatools operation. You may enable multiple debugging options separated by commas. (eg. --debug api,fs)

    Available options are:

        • api: Dump Mega.nz API calls

        • fs: Dump Mega.nz filesystem (may require --reload to actually print something)

        • cache: Dump cache contents

--version
    Show version information

<remotepaths>
    One or more remote filesystem paths to list. If path points to a directory, contents of the directory and the directory itself is listed. When --names is given, only the contents of the directory is listed.

        If path points to a file, the file itself is listed.

        If ommited, the entire remote filesystem is listed recursively.

EXAMPLES

    • List all files:

        $ megals
        /Contacts
        /Inbox
        /Root
        /Root/README
        /Root/bigfile
        /Trash

    • List all files in the /Root, recursively and with details:

        $ megals -l /Root
        3RsS2QwJ                2             - 2013-01-22 12:31:06 /Root
        2FFSiaKZ    Xz2tWWB5Dmo 0          2686 2013-04-15 08:33:47 /Root/README
        udtDgR7I    Xz2tWWB5Dmo 0    4405067776 2013-04-10 19:16:02 /Root/bigfile

    • List all files in the /Root, recursively and with details, show only file names:

        $ megals -ln /Root
        2FFSiaKZ    Xz2tWWB5Dmo 0          2686 2013-04-15 08:33:47 README
        udtDgR7I    Xz2tWWB5Dmo 0    4405067776 2013-04-10 19:16:02 bigfile

    • Export download links:

        $ megals -e /Root/README
        https://mega.nz/#!OFFRlbgR!k5rWmLp3mxB0gsq07Ii67PLd9L0wq4KondFLDlfH3Uw /Root/README

    • List files in a more human readable format:

        $ megals -hnl --header /Root/README
        ===================================================================================
        Handle      Owner       T          Size Mod. Date           Filename
        ===================================================================================
        2FFSiaKZ    Xz2tWWB5Dmo 0       2.6 KiB 2013-04-15 08:33:47 README

REMOTE FILESYSTEM

Mega.nz filesystem is represented as a tree of nodes of various types. Nodes are identified by a 8 character node handles (eg. 7Fdi3ZjC). Structure of the filesystem is not encrypted.

Megatools maps node tree structure to a traditional filesystem paths (eg. /Root/SomeFile.DAT).

NOTE: By the nature of Mega.nz storage, several files in the directory can have the same name. To allow access to such files, the names of conflicting files are extended by appending dot and their node handle like this:

    /Root/conflictingfile
    /Root/conflictingfile.7Fdi3ZjC
    /Root/conflictingfile.mEU23aSD

You need to be aware of several special folders:

/Root
    Writable directory representing the root of the filesystem.

/Trash
    Trash directory where Mega.nz web client moves deleted files. This directory is not used by megatools when removing files.

/Inbox
    Not sure.

/Contacts
    Directory containing subdirectories representing your contacts list. If you want to add contacts to the list, simply create subdirectory named after the contact you want to add.

/Contacts/<email>
    Directories representing individual contacts in your contacts list. These directories contain folders that others shared with you. All shared files are read-only, at the moment.

SEE ALSO

megatools(7), megarc(5), megadf(1), megadl(1), megaget(1), megals(1), megamkdir(1), megaput(1), megareg(1), megarm(1), megacopy(1).

MEGATOOLS

Part of the megatools(7) suite.

BUGS

Report bugs at https://github.com/megous/megatools or megous@megous.com.

AUTHOR

Megatools was written by Ondrej Jirman <megous@megous.com>, 2013-2016.

Official website is http://megatools.megous.com.